<span data-ng-init="bannerImage = meta().settings.banner"></span>
<div data-ng-if="!vm.page.home">
  <section class="page-masthead" data-ng-show="(!vm.page_loading && !vm.page.featured_image) && !vm.page.error && (vm.page.feature == 'page' || vm.page.feature == 'agenda' || vm.page.feature == 'links' || vm.page.feature == 'sponsors' || vm.page.feature == 'speakers' || vm.page.feature == 'videos')" style="background-image: url({{meta().settings.banner}});">
    <div class="page-masthead-screen"></div>
    <div class="container">
      <h1 class="page-masthead-title" data-ng-bind-html="vm.page.label | sanitize"></h1>
      <div class="page-masthead-body" data-ng-if="vm.page.summary" data-ng-bind-html="vm.page.summary | sanitize"></div>
    </div>
  </section>
  
  <section class="page-masthead" data-ng-show="(!vm.page_loading && vm.page.featured_image) && !vm.page.error && (vm.page.feature == 'page' || vm.page.feature == 'agenda' || vm.page.feature == 'links' || vm.page.feature == 'sponsors' || vm.page.feature == 'speakers' || vm.page.feature == 'videos')" style="background-image: url({{vm.page.featured_image.self}});">
    <div class="page-masthead-screen"></div>
    <div class="container">
      <h1 class="page-masthead-title" data-ng-bind-html="vm.page.label | sanitize"></h1>
      <div class="page-masthead-body" data-ng-if="vm.page.summary" data-ng-bind-html="vm.page.summary | sanitize"></div>
    </div>
  </section>

  <div class="loading" data-ng-show="vm.page_loading"><img src="apps/uw_theme_conference/assets/dist/img/page-loader.gif"></div>

  <div class="post" data-ng-class="{'full-mod': vm.page.feature == 'page'}">
    <div class="post-main" data-ng-class="{'page-mod': vm.page.feature == 'page'}">
      <div data-ng-class="{'container': vm.page.feature != 'blog' && vm.page.feature != 'sponsors'}">
        <div data-ng-class="{'row': vm.page.feature != 'blog' && vm.page.feature != 'sponsors'}">
          <div data-ng-class="{'col-md-8': vm.page.sidebar,'col-md-12': !vm.page.sidebar}">
            
            <div data-ng-if="vm.page.error">
              <div class="page-error">
                <h1>{{vm.page.error.title}}</h1>
                <p>{{vm.page.error.message}}</p>  
              </div>
            </div>

            <div data-ng-show="vm.page.feature == 'page' && !vm.page.rendered_html" class="post-content" data-ng-bind-html="vm.page.body | sanitize"></div>
            <div data-ng-show="vm.page.feature == 'page' && vm.page.rendered_html" class="post-content"  data-ng-bind-html="vm.page.rendered_html | sanitize"></div>
            <div data-ng-if="vm.page.feature == 'agenda'" agenda></div>
            <div data-ng-if="vm.page.feature == 'speakers'" speakergroups></div>
            <div data-ng-if="vm.page.feature == 'speakers'" speakers></div>
            <div data-ng-if="vm.page.feature == 'videos'" videos></div>
            <div data-ng-if="vm.page.feature == 'sponsors'" sponsors></div>
            <div data-ng-if="vm.page.feature == 'blog'" blog></div>
            <div data-ng-if="vm.page.feature == 'links'" links></div>

          </div>
          <div class="col-md-4" data-ng-if="vm.page.sidebar">
            <div data-ng-include=" THEME_URI + 'templates/components/newsletter.tpl.html' " data-ng-init="newsletterId=2"></div>
            <div advertisement></div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<div data-ng-if="vm.page.home" data-ng-init="bannerImage = meta().settings.banner">
  <section class="page-masthead home-mod" style="background-image: url({{meta().settings.banner}});" data-ng-if="!vm.page_loading && !vm.page.featured_image">
    <div class="page-masthead-screen"></div>
    <div class="container">
      <h1 class="page-masthead-title" data-ng-bind-html="vm.page.label | sanitize"></h1>
      <div class="page-masthead-body" data-ng-if="vm.page.body" data-ng-bind-html="vm.page.body | sanitize"></div>
    </div>
  </section>
  
  <section class="page-masthead home-mod" style="background-image: url({{vm.page.featured_image.self}});" data-ng-if="!vm.page_loading && vm.page.featured_image">
    <div class="page-masthead-screen"></div>
    <div class="container">
      <h1 class="page-masthead-title" data-ng-bind-html="vm.page.label | sanitize"></h1>
      <div class="page-masthead-body" data-ng-if="vm.page.body" data-ng-bind-html="vm.page.body | sanitize"></div>
    </div>
  </section>

  <div homepage></div>
</div>
